; -----------------------------------------------------------------------------
; RCS buffered decoder by Einar Saukas & jamorski (27 bytes)
; RCS decoder from buffer to regular screen
; -----------------------------------------------------------------------------
; Parameters:
;   HL: buffer address (RCS data)
; -----------------------------------------------------------------------------

drcs_buffered:
        ld      bc, $4000
loop    ld      a, b
        cp      $5B
        ret     z
        cp      $58
        jr      nc, skip
        xor     c
        and     $f8
        xor     c
        ld      d, a
        xor     b
        xor     c
        rlca
        rlca
        ld      e, a
skip    inc     bc
        ldi
        inc     bc
        jr      loop

; -----------------------------------------------------------------------------
